// is -*- c++ -*-
//
//   @file    nnlo_common.h        
//            nnlo common block interface
//                   
//  
//   Copyright (C) 2015 M.Sutton (sutt@cern.ch)    
//
//   $Id: nnlo_common.h, v0.0   Thu  3 Sep 2015 09:51:20 CEST sutt $

#ifndef  NNLO_COMMON_H
#define  NNLO_COMMON_H


/// vegas iteration information
typedef struct {
  int itmax1;
  int itmax2;
  int nshot2;
  int nshot3;
} __runinfo__; 


/// contributions
typedef struct {
  double z0;
  double z1;
  double z2;
} __zcontrib__; 


/// order
typedef struct { int ieorder; } __order__; 

/// alpha_s
typedef struct { double as; } __strong__; 

/// beam energy
typedef struct { double Ebeam; } __Ebeam__; 

#if 0
/// need to establish how the n parton information 
/// is passed around 
typedef struct { 
  /// ...
} __evdata__ ; 
#endif


typedef struct { 
  int njets;
  int nloop;
} __inppar__ ;


typedef struct { 
  double PDF;
  double xi1;
  double xi2;
  double xjac;
  double x1;
  double x2;
} __PDF__ ;
 


typedef struct { 
  double facscale;
  double rscale;
} __scales__;

typedef struct { double wthist; } __histonorm__; 


extern "C" __runinfo__   runinfo_;
extern "C" __zcontrib__  zcontrib_;
extern "C" __order__     order_;
extern "C" __strong__    strong_;
extern "C" __Ebeam__     ebeam_;
// extern "C" __evdata__    evdata_;
extern "C" __inppar__    inppar_;
extern "C" __PDF__       pdf_;
extern "C" __scales__    scales_;
extern "C" __histonorm__ histonorm_;




#endif  // NNLO_COMMON_H 










